Bug 480944 - Review Request: perl-Test-Harness-Straps - Detailed analysis of test results
Review Request: perl-Test-Harness-Straps - Detailed analysis of test results
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 09:22 EST by Marcela Mašláňová
Modified: 2009-02-25 11:24 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 02:24:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-01-21 09:22:32 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-Test-Harness-Straps/perl-Test-Harness-Straps.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-Test-Harness-Straps/perl-Test-Harness-Straps-0.30-1.fc10.src.rpm
Description: 
Test::Harness is limited to printing out its results. This makes analysis
of the test results difficult for anything but a human. To make it easier
for programs to work with test results, we provide Test::Harness::Straps.
Instead of printing the results, straps provide them as raw data. You can
also configure how the tests are to be run.
Comment 1 Marcela Mašláňová 2009-01-21 09:34:33 EST
Test::Harness doesn't use Straps. These are included in this package only for backward compatibility. 

Details of problem are mentioned in this thread:
www.nntp.perl.org/group/perl.perl5.porters/2009/01/msg143565.html
Comment 2 Miroslav Suchý 2009-02-04 10:27:00 EST
I will look on this review.

Please consider adding fedora-perl-devel-list@redhat.com to cc when you create new Review Request of perl package.
Comment 3 Miroslav Suchý 2009-02-04 10:56:22 EST
You forgot to set flag "fedora‑review?" setting it for you.

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
SEE LATER - Meets Packaging Guidelines.
OK - License
OK - License field in spec matches
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b72c0aa8950a6dfc1908b884fc768577 for both
N/A - Package needs ExcludeArch
FAIL - BuildRequires correct
N/A - Spec handles locales/find_lang
N/A - Package is relocatable and has a reason to be.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
OK - Package is code or permissible content.
OK- Doc subpackage needed/used.
N/A - Headers/static libs in -devel subpackage.
N/A - Spec has needed ldconfig in post and postun
N/A - .pc files in -devel subpackage/requires pkgconfig
N/A - .so files in -devel subpackage.
N/A - -devel package Requires: %{name} = %{version}-%{release}
N/A - .la files are removed.
N/A - Package is a GUI app and has a .desktop file
FAIL - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
FAIL - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =;
rpm -qp --requires $i; echo; done
perl-Test-Harness-Straps-0.30-1.fc11.noarch.rpm
perl(Test::Harness::Assert) = 0.02
perl(Test::Harness::Iterator) = 0.02
perl(Test::Harness::Iterator::ARRAY)
perl(Test::Harness::Iterator::FH)
perl(Test::Harness::Point) = 0.01
perl(Test::Harness::Results) = 0.01
perl(Test::Harness::Straps) = 0.30
perl-Test-Harness-Straps = 0.30-1.fc11
=
perl(:MODULE_COMPAT_5.10.0)
perl(Config)
perl(Exporter)
perl(Test::Harness::Assert)
perl(Test::Harness::Iterator)
perl(Test::Harness::Point)
perl(Test::Harness::Results)
perl(strict)
perl(vars)

SHOULD Items:

OK, tested on x86_64 - Should build in mock.
OK - Should build on all supported archs
Didn't test - Should function as described.
No scriptlets - Should have sane scriptlets.
N/A - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version
N/A - check for outstanding bugs on package. (For core merge reviews)

TODO:
please add build requires: perl(Test::More) 
it is no more part of perl itself in Fedora 11 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1103852
and try to build is as --scratch in koji
Comment 4 Marcela Mašláňová 2009-02-13 03:26:20 EST
I've added BuildRequires:  perl(Test::Simple) because here's live Test::More. It must be BR because the build failed with requires.

Spec URL:
http://mmaslano.fedorapeople.org/perl-Test-Harness-Straps/perl-Test-Harness-Straps.spec
SRPM URL:
http://mmaslano.fedorapeople.org/perl-Test-Harness-Straps/perl-Test-Harness-Straps-0.30-2.fc10.src.rpm
Comment 6 Miroslav Suchý 2009-02-13 04:03:33 EST
APPROVED
Comment 7 Marcela Mašláňová 2009-02-13 04:31:34 EST
New Package CVS Request
=======================
Package Name: perl-Test-Harness-Straps
Short Description: Detailed analysis of test results
Owners: mmaslano
Branches: F-10
InitialCC: perl-sig
Comment 8 Kevin Fenzi 2009-02-13 19:46:06 EST
cvs done.
Comment 9 Fedora Update System 2009-02-25 11:24:32 EST
perl-Test-Harness-Straps-0.30-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.